## milter-greylist 3.0

=== Makefile ===
# $Id: Makefile,v 1.79.2.12 2006/11/20 20:51:36 manu Exp $

#
# Copyright (c) 2004 Emmanuel Dreyfus
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All advertising materials mentioning features or use of this software
#    must display the following acknowledgement:
#        This product includes software developed by Emmanuel Dreyfus
#
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
#

CFLAGS= 	-g -O2 -Wall -D_BSD_SOURCE
LDFLAGS=	
LIBS= 		 -lpthread -lresolv -lmilter
prefix=		/usr/local
exec_prefix=	${prefix}
SYSCONFDIR=	${prefix}/etc
LOCALSTATEDIR=	${prefix}/var
BINDIR=		${exec_prefix}/bin
SBINDIR=        ${exec_prefix}/sbin
MANDIR=		${prefix}/man
USER=		root

CC=		gcc
MKDEP=		mkdep
RM=		rm
MV=		mv
TEST=		test
SED=		sed
INSTALL=	/usr/bin/install -c
LEX=		flex
YACC=		bison -y
TRUE=		true

OBJ= 		milter-greylist.o pending.o sync.o dnsrbl.o list.o macro.o \
		conf_yacc.o dump_yacc.o conf.o autowhite.o dump.o spf.o acl.o
SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c \
		autowhite.c dump.c spf.c acl.c dnsrbl.c list.c
GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c 

all:		milter-greylist rc-bsd.sh rc-redhat.sh \
		rc-solaris.sh rc-debian.sh rc-gentoo.sh rc-suse.sh

milter-greylist:	${OBJ}
	${CC} -o milter-greylist ${OBJ} ${LDFLAGS} ${LIBS}

sync_yacc.o:	sync_yacc.c sync_lex.c
conf_yacc.o:	conf_yacc.c conf_lex.c
dump_yacc.o:	dump_yacc.c dump_lex.c

sed_subst = "s|@BINDIR[@]|${BINDIR}|g; s|@SBINDIR[@]|${SBINDIR}|g; s|@USER[@]|${USER}|g"

rc-bsd.sh:      rc-bsd.sh.in
	${SED} ${sed_subst} rc-bsd.sh.in > rc-bsd.sh
rc-redhat.sh:    rc-redhat.sh.in
	${SED} ${sed_subst} rc-redhat.sh.in > rc-redhat.sh
rc-solaris.sh:    rc-solaris.sh.in
	${SED} ${sed_subst} rc-solaris.sh.in > rc-solaris.sh
rc-debian.sh:    rc-debian.sh.in
	${SED} ${sed_subst} rc-debian.sh.in > rc-debian.sh
rc-gentoo.sh:    rc-gentoo.sh.in
	${SED} ${sed_subst} rc-gentoo.sh.in > rc-gentoo.sh
rc-suse.sh:	 rc-suse.sh.in
	${SED} ${sed_subst} rc-suse.sh.in > rc-suse.sh

install-daemon-to-bin: milter-greylist
	${INSTALL} -d -m 755 ${DESTDIR}${BINDIR}
	${INSTALL} -m 755 milter-greylist ${DESTDIR}${BINDIR}

install-sbin: milter-greylist
	${INSTALL} -d -m 755 ${DESTDIR}${SBINDIR}
	${INSTALL} -m 755 milter-greylist ${DESTDIR}${SBINDIR}

install-man:
	${INSTALL} -d -m 755 ${DESTDIR}${MANDIR}/man8
	${INSTALL} -d -m 755 ${DESTDIR}${MANDIR}/man5
	${INSTALL} -m 644 milter-greylist.8 ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m 644 greylist.conf.5 ${DESTDIR}${MANDIR}/man5

install-conf:
	${INSTALL} -d -m 755 ${DESTDIR}${SYSCONFDIR}/mail
	${TEST} -f ${DESTDIR}${SYSCONFDIR}/mail/greylist.conf -o 	\
		-f ${DESTDIR}${SYSCONFDIR}/mail/greylist.except || 	\
	     ${INSTALL} -m 644 greylist.conf ${DESTDIR}${SYSCONFDIR}/mail
	@${TEST} -f ${DESTDIR}/etc/mail/greylist.except && (	 	   \
		echo "	================================================"; \
		echo "	 WARNING: the config file name has changed,     "; \
		echo "	 Please rename /etc/mail/greylist.except, the   "; \
		echo "	 default name is now in /etc/mail/greylist.conf "; \
		echo "	================================================"; \
	) || ${TRUE}

install-db:
	${INSTALL} -d -m 755 -o ${USER} \
		${DESTDIR}${LOCALSTATEDIR}/milter-greylist
	@${TEST} -f ${DESTDIR}/var/db/greylist.db && (		 	   \
		echo "	================================================"; \
		echo "	  WARNING: the dump file location has changed,  "; \
		echo "	  Please move /var/db/greylist.db, the default  "; \
		echo "	  location is now in /var/milter-greylist/      "; \
		echo "	================================================"; \
	) || ${TRUE}

install: install-daemon-to-bin install-man install-conf install-db

depend:
	${MKDEP} ${CFLAGS} ${SRC}

clean:
	${RM} -f milter-greylist ${OBJ} ${GENSRC} \
	rc-redhat.sh rc-bsd.sh rc-solaris.sh rc-debian.sh rc-gentoo.sh \
	rc-suse.sh

realclean:	clean
	${RM} -Rf Makefile config.h config.log config.status \
		 autom4te.cache configure.lineno *.orig *.bak autoscan.log

.SUFFIXES:	.o .c .h .y .l
.l.c:
	${LEX} -o$@ $<
.y.c:
	${YACC} -p`echo $@|${SED} 's/^\([^_]\{1,\}_\).*$$/\1/'` $<
	${MV} y.tab.c $@

# This is a target for debugging
start:	milter-greylist
	./milter-greylist -D -v -p milter-greylist.sock

## milter-greylist 4.1.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.79.2.12 2006/11/20 20:51:36 manu Exp $
+# $Id: Makefile,v 1.122 2009/02/09 12:12:09 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus
@@ -29,13 +29,14 @@
 # OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
-CFLAGS= 	-g -O2 -Wall -D_BSD_SOURCE
-LDFLAGS=	
+CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -D_BSD_SOURCE -I${SRCDIR} -I. 
+LDFLAGS=	 -L/usr/pkg/lib -Wl,--rpath=/usr/pkg/lib
 LIBS= 		 -lpthread -lresolv -lmilter
 prefix=		/usr/local
 exec_prefix=	${prefix}
 SYSCONFDIR=	${prefix}/etc
 LOCALSTATEDIR=	${prefix}/var
+SRCDIR=		.
 BINDIR=		${exec_prefix}/bin
 SBINDIR=        ${exec_prefix}/sbin
 MANDIR=		${prefix}/man
@@ -53,10 +54,15 @@
 TRUE=		true
 
 OBJ= 		milter-greylist.o pending.o sync.o dnsrbl.o list.o macro.o \
-		conf_yacc.o dump_yacc.o conf.o autowhite.o dump.o spf.o acl.o
-SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c \
-		autowhite.c dump.c spf.c acl.c dnsrbl.c list.c
-GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c 
+		conf_yacc.o dump_yacc.o conf.o autowhite.o dump.o spf.o \
+		acl.o urlcheck.o stat.o clock.o geoip.o fd_pool.o prop.o \
+		ldapcheck.o dkimcheck.o p0f.o spamd.o
+SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c stat.c \
+		clock.c autowhite.c dump.c spf.c acl.c dnsrbl.c list.c \
+		urlcheck.c geoip.c prop.c ldapcheck.c dkimcheck.c p0f.c spamd.c
+GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c  
+
+VPATH=		${SRCDIR}
 
 all:		milter-greylist rc-bsd.sh rc-redhat.sh \
 		rc-solaris.sh rc-debian.sh rc-gentoo.sh rc-suse.sh
@@ -71,17 +77,17 @@
 sed_subst = "s|@BINDIR[@]|${BINDIR}|g; s|@SBINDIR[@]|${SBINDIR}|g; s|@USER[@]|${USER}|g"
 
 rc-bsd.sh:      rc-bsd.sh.in
-	${SED} ${sed_subst} rc-bsd.sh.in > rc-bsd.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-bsd.sh.in > rc-bsd.sh
 rc-redhat.sh:    rc-redhat.sh.in
-	${SED} ${sed_subst} rc-redhat.sh.in > rc-redhat.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-redhat.sh.in > rc-redhat.sh
 rc-solaris.sh:    rc-solaris.sh.in
-	${SED} ${sed_subst} rc-solaris.sh.in > rc-solaris.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-solaris.sh.in > rc-solaris.sh
 rc-debian.sh:    rc-debian.sh.in
-	${SED} ${sed_subst} rc-debian.sh.in > rc-debian.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-debian.sh.in > rc-debian.sh
 rc-gentoo.sh:    rc-gentoo.sh.in
-	${SED} ${sed_subst} rc-gentoo.sh.in > rc-gentoo.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-gentoo.sh.in > rc-gentoo.sh
 rc-suse.sh:	 rc-suse.sh.in
-	${SED} ${sed_subst} rc-suse.sh.in > rc-suse.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-suse.sh.in > rc-suse.sh
 
 install-daemon-to-bin: milter-greylist
 	${INSTALL} -d -m 755 ${DESTDIR}${BINDIR}
@@ -94,14 +100,14 @@
 install-man:
 	${INSTALL} -d -m 755 ${DESTDIR}${MANDIR}/man8
 	${INSTALL} -d -m 755 ${DESTDIR}${MANDIR}/man5
-	${INSTALL} -m 644 milter-greylist.8 ${DESTDIR}${MANDIR}/man8
-	${INSTALL} -m 644 greylist.conf.5 ${DESTDIR}${MANDIR}/man5
+	${INSTALL} -m 644 ${SRCDIR}/milter-greylist.8 ${DESTDIR}${MANDIR}/man8
+	${INSTALL} -m 644 ${SRCDIR}/greylist.conf.5 ${DESTDIR}${MANDIR}/man5
 
 install-conf:
-	${INSTALL} -d -m 755 ${DESTDIR}${SYSCONFDIR}/mail
-	${TEST} -f ${DESTDIR}${SYSCONFDIR}/mail/greylist.conf -o 	\
-		-f ${DESTDIR}${SYSCONFDIR}/mail/greylist.except || 	\
-	     ${INSTALL} -m 644 greylist.conf ${DESTDIR}${SYSCONFDIR}/mail
+	${INSTALL} -d -m 755 ${DESTDIR}/etc/mail
+	${TEST} -f ${DESTDIR}/etc/mail/greylist.conf -o 	\
+		-f ${DESTDIR}/etc/mail/greylist.except || 	\
+	     ${INSTALL} -m 644 ${SRCDIR}/greylist.conf ${DESTDIR}/etc/mail
 	@${TEST} -f ${DESTDIR}/etc/mail/greylist.except && (	 	   \
 		echo "	================================================"; \
 		echo "	 WARNING: the config file name has changed,     "; \
@@ -111,9 +117,8 @@
 	) || ${TRUE}
 
 install-db:
-	${INSTALL} -d -m 755 -o ${USER} \
-		${DESTDIR}${LOCALSTATEDIR}/milter-greylist
-	@${TEST} -f ${DESTDIR}/var/db/greylist.db && (		 	   \
+	${INSTALL} -d -m 755 -o ${USER} ${DESTDIR}/var/milter-greylist
+	@${TEST} -f ${DESTDIR}/var/db/greylist.db && (			 	   \
 		echo "	================================================"; \
 		echo "	  WARNING: the dump file location has changed,  "; \
 		echo "	  Please move /var/db/greylist.db, the default  "; \
@@ -124,7 +129,7 @@
 install: install-daemon-to-bin install-man install-conf install-db
 
 depend:
-	${MKDEP} ${CFLAGS} ${SRC}
+	${MKDEP} ${CPPFLAGS} ${CFLAGS} ${SRC}
 
 clean:
 	${RM} -f milter-greylist ${OBJ} ${GENSRC} \

## milter-greylist 4.2~b1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.122 2009/02/09 12:12:09 manu Exp $
+# $Id: Makefile,v 1.122.2.1 2009/02/10 12:27:55 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus

## milter-greylist 4.3.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.122.2.1 2009/02/10 12:27:55 manu Exp $
+# $Id: Makefile,v 1.128 2009/09/26 14:45:39 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus
@@ -29,7 +29,7 @@
 # OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
-CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -D_BSD_SOURCE -I${SRCDIR} -I. 
+CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -DHAVE_DATA_CALLBACK -DCONFFILE=\"${CONFFILE}\" -DDUMPFILE=\"${DUMPFILE}\" -D_BSD_SOURCE -I${SRCDIR} -I. 
 LDFLAGS=	 -L/usr/pkg/lib -Wl,--rpath=/usr/pkg/lib
 LIBS= 		 -lpthread -lresolv -lmilter
 prefix=		/usr/local
@@ -39,8 +39,10 @@
 SRCDIR=		.
 BINDIR=		${exec_prefix}/bin
 SBINDIR=        ${exec_prefix}/sbin
-MANDIR=		${prefix}/man
+MANDIR=		${prefix}/share/man
 USER=		root
+CONFFILE=       ${SYSCONFDIR}/mail/greylist.conf
+DUMPFILE=       ${LOCALSTATEDIR}/milter-greylist/greylist.db
 
 CC=		gcc
 MKDEP=		mkdep
@@ -50,15 +52,15 @@
 SED=		sed
 INSTALL=	/usr/bin/install -c
 LEX=		flex
-YACC=		bison -y
+YACC=		yacc
 TRUE=		true
 
 OBJ= 		milter-greylist.o pending.o sync.o dnsrbl.o list.o macro.o \
-		conf_yacc.o dump_yacc.o conf.o autowhite.o dump.o spf.o \
+		conf_yacc.o dump_yacc.o conf.o store.o dump.o spf.o \
 		acl.o urlcheck.o stat.o clock.o geoip.o fd_pool.o prop.o \
 		ldapcheck.o dkimcheck.o p0f.o spamd.o
 SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c stat.c \
-		clock.c autowhite.c dump.c spf.c acl.c dnsrbl.c list.c \
+		clock.c store.c dump.c spf.c acl.c dnsrbl.c list.c \
 		urlcheck.c geoip.c prop.c ldapcheck.c dkimcheck.c p0f.c spamd.c
 GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c  
 
@@ -104,25 +106,25 @@
 	${INSTALL} -m 644 ${SRCDIR}/greylist.conf.5 ${DESTDIR}${MANDIR}/man5
 
 install-conf:
-	${INSTALL} -d -m 755 ${DESTDIR}/etc/mail
-	${TEST} -f ${DESTDIR}/etc/mail/greylist.conf -o 	\
+	${INSTALL} -d -m 755 ${DESTDIR}`dirname ${CONFFILE}`
+	${TEST} -f ${DESTDIR}${CONFFILE} -o 	\
 		-f ${DESTDIR}/etc/mail/greylist.except || 	\
-	     ${INSTALL} -m 644 ${SRCDIR}/greylist.conf ${DESTDIR}/etc/mail
+	     ${INSTALL} -m 644 ${SRCDIR}/greylist.conf ${DESTDIR}${CONFFILE}
 	@${TEST} -f ${DESTDIR}/etc/mail/greylist.except && (	 	   \
 		echo "	================================================"; \
 		echo "	 WARNING: the config file name has changed,     "; \
 		echo "	 Please rename /etc/mail/greylist.except, the   "; \
-		echo "	 default name is now in /etc/mail/greylist.conf "; \
+		echo "	 default name is now in ${CONFFILE}             "; \
 		echo "	================================================"; \
 	) || ${TRUE}
 
 install-db:
-	${INSTALL} -d -m 755 -o ${USER} ${DESTDIR}/var/milter-greylist
+	${INSTALL} -d -m 755 -o ${USER} ${DESTDIR}`dirname ${DUMPFILE}`
 	@${TEST} -f ${DESTDIR}/var/db/greylist.db && (			 	   \
 		echo "	================================================"; \
 		echo "	  WARNING: the dump file location has changed,  "; \
 		echo "	  Please move /var/db/greylist.db, the default  "; \
-		echo "	  location is now in /var/milter-greylist/      "; \
+		echo "	  location is now in ${DUMPFILE}                "; \
 		echo "	================================================"; \
 	) || ${TRUE}

## milter-greylist 4.3.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.128 2009/09/26 14:45:39 manu Exp $
+# $Id: Makefile,v 1.132 2010/04/18 16:21:22 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus
@@ -58,11 +58,12 @@
 OBJ= 		milter-greylist.o pending.o sync.o dnsrbl.o list.o macro.o \
 		conf_yacc.o dump_yacc.o conf.o store.o dump.o spf.o \
 		acl.o urlcheck.o stat.o clock.o geoip.o fd_pool.o prop.o \
-		ldapcheck.o dkimcheck.o p0f.o spamd.o
+		ldapcheck.o dkimcheck.o p0f.o spamd.o mx.o ratelimit.o
 SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c stat.c \
 		clock.c store.c dump.c spf.c acl.c dnsrbl.c list.c \
-		urlcheck.c geoip.c prop.c ldapcheck.c dkimcheck.c p0f.c spamd.c
-GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c  
+		urlcheck.c geoip.c prop.c ldapcheck.c dkimcheck.c p0f.c \
+		spamd.c mx.c ratelimit.c
+GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c
 
 VPATH=		${SRCDIR}

=== debian/changelog ===
milter-greylist (4.3.7-1) unstable; urgency=low

  * New upstream release

 -- Paul Martin <pm@debian.org>  Sat, 15 May 2010 13:11:03 +0100

milter-greylist (4.3.5-3) unstable; urgency=low

  * Revert back to 4.3.5-1 code and put on a brown paper bag.
    The changes don't work.

 -- Paul Martin <pm@debian.org>  Wed, 17 Mar 2010 01:59:59 +0000

milter-greylist (4.3.5-2) unstable; urgency=low

  * Updated patches:
    + patches/greylist.conf: Make the init script parse the config file
      to find out which user it runs as.
    + patches/rc-debian.socket: ditto.
      This prevents the confusion of two files specifying what the socket
      file and user should be. Also removed from defaults. (Closes: 554239)

 -- Paul Martin <pm@debian.org>  Mon, 15 Mar 2010 21:10:19 +0000

milter-greylist (4.3.5-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Add DEP-3 tags to all patches.
  * Update to Debian Policy 3.8.4 (no changes)
  * New patch:
    + patches/573936-dump_lex: Fixes parsing a dump with some awkward 
      non-RFC822 email addresses. (Closes: #573936)
  * Updated patch:
    + patches/greylist.conf: Document what to do for Postfix use.
      (Closes: #554239)

 -- Paul Martin <pm@debian.org>  Mon, 15 Mar 2010 14:57:28 +0000

milter-greylist (4.3.4-2) unstable; urgency=low

  * debian/control: change Recommends to "sendmail | postfix".
    (Closes: #552539)

 -- Paul Martin <pm@debian.org>  Tue, 27 Oct 2009 15:11:44 +0000

milter-greylist (4.3.4-1) unstable; urgency=low

  * New upstream release
    + patches/initfile.syntaxerror removed (applied upstream) 
  * Bump standards version to 3.8.3
    + add debian/README.source
    + debian/milter-greylist.files: don't store /var/run/milter-greylist
      in package. It's created at boot time.
  * New patch:
    + patches/initfile.mountall: LSB INIT INFO should depend on $local_fs
      rather than mountall.

 -- Paul Martin <pm@debian.org>  Tue, 06 Oct 2009 19:48:58 +0100

milter-greylist (4.2~b1-1) unstable; urgency=low

  * New upstream release (stable release candidate)
    - Changes permissions on the dumpfile to 600. (We had 644 before, 
      with upstream having 755.)
  * Add Homepage to debian/control

 -- Paul Martin <pm@debian.org>  Sat, 21 Feb 2009 22:16:04 +0000

milter-greylist (4.1.12-1) unstable; urgency=low

  * New upstream release
  * Change initscript to create a sendmail-friendly directory for
    /var/run/milter-greylist if we're running on a tempfs.
    (Closes: #508122) This is also a fix for ubuntu bug #226267.
  * Lintian warning fix: refer to GPLv2 for packaging.

 -- Paul Martin <pm@debian.org>  Mon, 16 Feb 2009 17:54:25 +0000

milter-greylist (4.1.8-2) unstable; urgency=low

  * Added logcheck ignore file. Thanks to Kim Holviala. (Closes: #508824)

 -- Paul Martin <pm@debian.org>  Wed, 17 Dec 2008 12:14:55 +0000

milter-greylist (4.1.8-1) unstable; urgency=low

  * New upstream release
  * Correct some lintian warnings:
    + debhelper-but-no-misc-depends milter-greylist
    + quilt-patch-missing-description
  * Upload to unstable.

 -- Paul Martin <pm@debian.org>  Thu, 04 Dec 2008 12:34:10 +0000

milter-greylist (4.1.7-2) experimental; urgency=low

  * Change the default dumpfreq timing from 1 second to 10 minutes.
  * Change the default permissions on the dump from 755 to 644.
  * Add greylist.conf and greylist2.conf to examples.

 -- Paul Martin <pm@debian.org>  Thu, 04 Dec 2008 12:01:49 +0000

milter-greylist (4.1.7-1) experimental; urgency=low

  * New maintainer (Closes: #470188)
  * New upstream release
    + Changes SPF support (Closes: #445841)
    + DOPTIONS set in init script after reading defaults file
      (Closes: #495811, #465260)
    + init script understands reload (Closes: #470195)
  * Convert to cdbs and quilt.
  * Change configure call so that it doesn't build with rpath.
  * Fix /etc/default/milter-greylist for spelling mistake and wrong 
    configuration file path. (Closes: #460314)
  * DNSRBL support enabled. (Closes: #449557)
  * Update debian/watch file.

 -- Paul Martin <pm@debian.org>  Sun, 23 Nov 2008 18:59:55 +0000

milter-greylist (3.0-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix configure call so that no unsafe rpath is added to the
    binaries (closes: #495789)

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 14 Sep 2008 00:51:28 +0200

milter-greylist (3.0-3) unstable; urgency=low

  [ Elrond ]
  * Remove patch to configure after talking to Cord
  * Fix new location of libmilter.so by also searching in
    /usr/lib/milter for it (closes: #423969)

  [ Cord Beermann ]
  * fixed lintian 'debian-rules-ignores-make-clean-error'
  * leaving the 'binary-or-shlib-defines-rpath'. it is needed to fix the
    libmilter problem above. (Yes, there must be a better solution)

 -- Cord Beermann <cord@debian.org>  Sat, 07 Jul 2007 23:26:14 +0200

milter-greylist (3.0-2) unstable; urgency=low

  * adding missing Build-dependency libspf2-dev (closes: #406859)
  * set priority to extra, because libmilter0 is also extra and we 
    depend on it.

 -- Cord Beermann <cord@debian.org>  Wed,  3 Jan 2007 23:41:25 +0100

milter-greylist (3.0-1) unstable; urgency=low

  * Initial official release (Closes: #264192)

 -- Cord Beermann <cord@debian.org>  Sat, 30 Dec 2006 16:17:08 +0100

milter-greylist (2.0b7-0) unstable; urgency=low

  * Ported to 2.0b7, which contains Elronds "fixes".

 -- Elrond <elrond+debian.org@samba-tng.org>  Wed, 11 May 2005 17:26:37 +0200

milter-greylist (2.0b5-0) unstable; urgency=low

  * Initial

 -- Elrond <elrond+debian.org@samba-tng.org>  Thu, 21 Apr 2005 15:16:49 +0200

=== debian/control ===
Source: milter-greylist
Section: mail
Priority: extra
Maintainer: Paul Martin <pm@debian.org>
Build-Depends: cdbs (>= 0.4.52), quilt, debhelper (>= 7), autotools-dev, libmilter-dev, bison, flex, libspf2-dev
Standards-Version: 3.8.4

Package: milter-greylist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.11)
Recommends: sendmail | postfix
Homepage: http://hcpnet.free.fr/milter-greylist/
Description: Greylist milter for sendmail
 milter-greylist is a stand-alone milter written in C that implements the
 greylist filtering method, as proposed by Evan Harris.
 .
 Greylisting works by assuming that unlike legitimate MTA, spam engines will
 not retry sending their junk mail on a temporary error. The filter will
 always temporarily reject mail on a first attempt, and to accept it after
 some time has elapsed.
 .
 If spammers ever try to resend rejected messages, we can assume they will not
 stay idle between the two sends (if they do, the spam problem would just be
 solved). Odds are good that the spammer will send a mail to an honey pot
 address and get blacklisted in several real-time distributed black list
 before the second attempt.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_MAKE_CLEAN_TARGET=realclean

DEB_MAKE_INSTALL_TARGET=DESTDIR=$(CURDIR)/debian/milter-greylist \
	install-sbin install-man

DEB_CONFIGURE_EXTRA_FLAGS= \
	--with-user=greylist \
	--sysconfdir=/etc/milter-greylist \
	--with-conffile=/etc/milter-greylist/greylist.conf \
	--with-dumpfile=/var/lib/milter-greylist/greylist.db \
	--with-libspf2=/usr \
	--with-libmilter=/usr \
	--enable-dnsrbl \
	--disable-rpath

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=" -Wl,-z,defs -L/usr/lib/libmilter "

install/milter-greylist::
	cp rc-debian.sh debian/milter-greylist.init

clean::
	rm -f debian/milter-greylist.init

	# The following keeps lintian happy
	rm -f milter-greylist.spec

## milter-greylist 4.3.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.132 2010/04/18 16:21:22 manu Exp $
+# $Id: Makefile,v 1.133 2010/07/12 04:19:59 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus

=== debian/changelog ===
milter-greylist (4.3.8-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.9.1 (no changes)
  * Update debian/copyright to fix lintian warning
    copyright-refers-to-deprecated-bsd-license-file

 -- Paul Martin <pm@debian.org>  Mon, 11 Oct 2010 12:23:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Paul Martin <pm@debian.org>
 Build-Depends: cdbs (>= 0.4.52), quilt, debhelper (>= 7), autotools-dev, libmilter-dev, bison, flex, libspf2-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: milter-greylist
 Architecture: any

## milter-greylist 4.3.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.133 2010/07/12 04:19:59 manu Exp $
+# $Id: Makefile,v 1.134 2011/04/13 01:41:45 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus
@@ -33,13 +33,14 @@
 LDFLAGS=	 -L/usr/pkg/lib -Wl,--rpath=/usr/pkg/lib
 LIBS= 		 -lpthread -lresolv -lmilter
 prefix=		/usr/local
+datarootdir=	${prefix}/share
 exec_prefix=	${prefix}
 SYSCONFDIR=	${prefix}/etc
 LOCALSTATEDIR=	${prefix}/var
 SRCDIR=		.
 BINDIR=		${exec_prefix}/bin
 SBINDIR=        ${exec_prefix}/sbin
-MANDIR=		${prefix}/share/man
+MANDIR=		${datarootdir}/man
 USER=		root
 CONFFILE=       ${SYSCONFDIR}/mail/greylist.conf
 DUMPFILE=       ${LOCALSTATEDIR}/milter-greylist/greylist.db

=== debian/changelog ===
milter-greylist (4.3.9-1) unstable; urgency=low

  * New upstream release
  * Refreshed patch:
    + patches/m4.socket-options
  * Convert from cdbs to dh.
  * Build with -fno-strict-aliasing as the source uses type punned pointers
  * Updated standards version to 3.9.2 (no changes)

 -- Paul Martin <pm@debian.org>  Wed, 22 Jun 2011 14:20:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: mail
 Priority: extra
 Maintainer: Paul Martin <pm@debian.org>
-Build-Depends: cdbs (>= 0.4.52), quilt, debhelper (>= 7), autotools-dev, libmilter-dev, bison, flex, libspf2-dev
-Standards-Version: 3.9.1
+Build-Depends: quilt, debhelper (>= 8), autotools-dev, libmilter-dev, bison, flex, libspf2-dev
+Standards-Version: 3.9.2
 
 Package: milter-greylist
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with quilt,autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
	--with-user=greylist \
	--sysconfdir=/etc/milter-greylist \
	--with-conffile=/etc/milter-greylist/greylist.conf \
	--with-dumpfile=/var/lib/milter-greylist/greylist.db \
	--with-libspf2=/usr \
	--with-libmilter=/usr \
	--enable-dnsrbl \
	--disable-rpath \
	LDFLAGS=" -Wl,-z,defs -L/usr/lib/libmilter " \
	CFLAGS=" -fno-strict-aliasing "
	
override_dh_auto_install:
	cp rc-debian.sh debian/milter-greylist.init
	DESTDIR=$(CURDIR)/debian/milter-greylist make install-sbin install-man

override_dh_auto_clean:
	dh_auto_clean

	rm -f debian/milter-greylist.init

	# The following keeps lintian happy
	rm -f milter-greylist.spec

## milter-greylist 4.5.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.134 2011/04/13 01:41:45 manu Exp $
+# $Id: Makefile,v 1.159 2014/02/21 08:11:44 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus
@@ -29,7 +29,7 @@
 # OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
-CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -DHAVE_DATA_CALLBACK -DCONFFILE=\"${CONFFILE}\" -DDUMPFILE=\"${DUMPFILE}\" -D_BSD_SOURCE -I${SRCDIR} -I. 
+CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -DHAVE_DATA_CALLBACK -DCONFFILE=\"${CONFFILE}\" -DDUMPFILE=\"${DUMPFILE}\" -D_BSD_SOURCE -I. -I${SRCDIR} 
 LDFLAGS=	 -L/usr/pkg/lib -Wl,--rpath=/usr/pkg/lib
 LIBS= 		 -lpthread -lresolv -lmilter
 prefix=		/usr/local
@@ -45,6 +45,9 @@
 CONFFILE=       ${SYSCONFDIR}/mail/greylist.conf
 DUMPFILE=       ${LOCALSTATEDIR}/milter-greylist/greylist.db
 
+# If your make complains about -j, try --disable-parallel-make
+MAKESEQ=        $(MAKE) -j 1
+
 CC=		gcc
 MKDEP=		mkdep
 RM=		rm
@@ -55,15 +58,18 @@
 LEX=		flex
 YACC=		yacc
 TRUE=		true
+TOUCH=		touch
 
 OBJ= 		milter-greylist.o pending.o sync.o dnsrbl.o list.o macro.o \
-		conf_yacc.o dump_yacc.o conf.o store.o dump.o spf.o \
-		acl.o urlcheck.o stat.o clock.o geoip.o fd_pool.o prop.o \
-		ldapcheck.o dkimcheck.o p0f.o spamd.o mx.o ratelimit.o
+		conf.o store.o dump.o spf.o acl.o urlcheck.o stat.o clock.o \
+		geoip.o fd_pool.o prop.o ldapcheck.o dkimcheck.o p0f.o \
+		spamd.o mx.o ratelimit.o nsupdate.o brokenmfapi.o
+OBJ_SEQ=	conf_yacc.o dump_yacc.o
+OBJ_SEQ_FLAG=	.objseq-built
 SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c stat.c \
 		clock.c store.c dump.c spf.c acl.c dnsrbl.c list.c \
 		urlcheck.c geoip.c prop.c ldapcheck.c dkimcheck.c p0f.c \
-		spamd.c mx.c ratelimit.c
+		spamd.c mx.c ratelimit.c nsupdate.c brokenmfapi.c
 GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c
 
 VPATH=		${SRCDIR}
@@ -71,8 +77,27 @@
 all:		milter-greylist rc-bsd.sh rc-redhat.sh \
 		rc-solaris.sh rc-debian.sh rc-gentoo.sh rc-suse.sh
 
-milter-greylist:	${OBJ}
-	${CC} -o milter-greylist ${OBJ} ${LDFLAGS} ${LIBS}
+# GNU make: targets which are not expected to produce same-named files
+.PHONY:		bld-milter-greylist obj-seq bld-seq all-seq
+
+milter-greylist:	${OBJ} ${OBJ_SEQ_FLAG}
+	@echo "=== Linking $@:"
+	${CC} -o $@ ${OBJ} ${OBJ_SEQ} ${LDFLAGS} ${LIBS}
+
+# The idea is that a successful obj-seq build would produce the flag-file,
+# thus "milter-greylist"'s verifiable dependencies are satisfied and the
+# binary is not relinked on every make run. However, code updates that can
+# cause rebuilds of ${OBJ_SEQ} files might require a "gmake rebuild" now.
+${OBJ_SEQ_FLAG}:	obj-seq
+	sync || $(TRUE)
+
+all-seq:	obj-seq
+obj-seq:
+	@echo "=== Call make sequential for objects sensitive to that (current make='$(MAKE)' MAKEFLAGS='$(MAKEFLAGS)'):"
+	$(MAKESEQ) bld-seq
+
+bld-seq:	${OBJ_SEQ}
+	$(TEST) -f ${OBJ_SEQ_FLAG} || $(TOUCH) ${OBJ_SEQ_FLAG}
 
 sync_yacc.o:	sync_yacc.c sync_lex.c
 conf_yacc.o:	conf_yacc.c conf_lex.c
@@ -81,17 +106,17 @@
 sed_subst = "s|@BINDIR[@]|${BINDIR}|g; s|@SBINDIR[@]|${SBINDIR}|g; s|@USER[@]|${USER}|g"
 
 rc-bsd.sh:      rc-bsd.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-bsd.sh.in > rc-bsd.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 rc-redhat.sh:    rc-redhat.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-redhat.sh.in > rc-redhat.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 rc-solaris.sh:    rc-solaris.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-solaris.sh.in > rc-solaris.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 rc-debian.sh:    rc-debian.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-debian.sh.in > rc-debian.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 rc-gentoo.sh:    rc-gentoo.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-gentoo.sh.in > rc-gentoo.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 rc-suse.sh:	 rc-suse.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-suse.sh.in > rc-suse.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 
 install-daemon-to-bin: milter-greylist
 	${INSTALL} -d -m 755 ${DESTDIR}${BINDIR}
@@ -136,13 +161,26 @@
 	${MKDEP} ${CPPFLAGS} ${CFLAGS} ${SRC}
 
 clean:
-	${RM} -f milter-greylist ${OBJ} ${GENSRC} \
-	rc-redhat.sh rc-bsd.sh rc-solaris.sh rc-debian.sh rc-gentoo.sh \
-	rc-suse.sh
+	${RM} -f milter-greylist ${OBJ} ${OBJ_SEQ} ${OBJ_SEQ_FLAG} ${GENSRC} \
+		rc-redhat.sh rc-bsd.sh rc-solaris.sh rc-debian.sh rc-gentoo.sh \
+		rc-suse.sh y.tab.c
+	sync || $(TRUE)
 
 realclean:	clean
 	${RM} -Rf Makefile config.h config.log config.status \
 		 autom4te.cache configure.lineno *.orig *.bak autoscan.log
+	sync || $(TRUE)
+
+distclean:	realclean
+
+rebuild:	clean
+	@echo "=== Making all. MAKEFLAGS=$(MAKEFLAGS)"
+	@$(MAKE) all || ( \
+		echo "==============================================================="; \
+		echo "=== First build failed. Making all sequentially just in case..."; \
+		echo "==============================================================="; \
+		sync || $(TRUE); \
+		$(MAKESEQ) all )
 
 .SUFFIXES:	.o .c .h .y .l
 .l.c:

=== debian/changelog ===
milter-greylist (4.5.11-1build1) vivid; urgency=medium

  * No change rebuild for libopendkim10 transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 Feb 2015 16:51:21 -0500

milter-greylist (4.5.11-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper compat level to 9.
  * Build against libcurl (Closes: #637441)
  * Build against libopendkim (Closes: #562960)
  * Build against libgeoip (Closes: #634903)
  * New patch:
    + patches/initfile.lsb: Add lsb/init-functions to init script.
      (Helps: #739465)
    + patches/initfile.nosudo: Remove dependency on sudo by using su instead.
      (Closes: #747634)
  * Updated standards version to 3.9.5 (no changes)

 -- Paul Martin <pm@debian.org>  Sun, 03 Aug 2014 11:46:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: mail
 Priority: extra
 Maintainer: Paul Martin <pm@debian.org>
-Build-Depends: quilt, debhelper (>= 8), autotools-dev, libmilter-dev, bison, flex, libspf2-dev
-Standards-Version: 3.9.2
+Build-Depends: quilt, debhelper (>= 9), autotools-dev, libmilter-dev, bison, flex, libspf2-dev, libcurl4-openssl-dev, libopendkim-dev, libssl-dev, libgeoip-dev
+Standards-Version: 3.9.5
 
 Package: milter-greylist
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with quilt,autotools_dev
+	dh $@ --with autotools_dev
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -9,11 +9,14 @@
 	--with-conffile=/etc/milter-greylist/greylist.conf \
 	--with-dumpfile=/var/lib/milter-greylist/greylist.db \
 	--with-libspf2=/usr \
+	--with-libcurl=/usr \
 	--with-libmilter=/usr \
+	--with-libopendkim=/usr \
+	--with-libGeoIP=/usr \
 	--enable-dnsrbl \
 	--disable-rpath \
-	LDFLAGS=" -Wl,-z,defs -L/usr/lib/libmilter " \
-	CFLAGS=" -fno-strict-aliasing "
+	LDFLAGS=" -Wl,-z,defs -L/usr/lib/libmilter $(LDFLAGS) " \
+	CFLAGS=" -fno-strict-aliasing $(CFLAGS) "
 	
 override_dh_auto_install:
 	cp rc-debian.sh debian/milter-greylist.init
@@ -26,3 +29,6 @@
 
 	# The following keeps lintian happy
 	rm -f milter-greylist.spec
+
+	# Sometimes autoconf doesn't clean up after itself
+	rm -f config.log

## milter-greylist 4.6.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.159 2014/02/21 08:11:44 manu Exp $
+# $Id: Makefile,v 1.169 2016/11/24 04:14:01 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus

=== debian/changelog ===
milter-greylist (4.6.2-1) unstable; urgency=medium

  * QA upload.
  * Update to v4.6.2 (Closes: #881154)
  * Add dependency on lsb-base.
  * Disable init.d script using dh_installinit.
    - Ref. Debian Policy Manual section 9.3.3.1
  * Use proper home with adduser.
  * Orphan the package (See: #889305)
  * Update compat level to 12.
  * Remove dependency on autotools-dev and quilt.
  * Update Standards-Version to 4.4.1
    - Change priority to optional.
  * Add dependency on init-system-helpers.
  * Add predends on misc.
  * Maintainer script should not use recursive chown.
  * Add commented patch file in series.
  * Add vcs link to salsa.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 24 Jan 2020 22:35:02 +0000

milter-greylist (4.5.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build --with-libbind and add libbind-dev to build-depends to build with
    thread safe resolver (Closes: #808669)
  * Use _DEFAULT_SOURCE instead of _BSD_SOURCE in Makefile/configure to fix
    FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Oct 2016 17:07:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: milter-greylist
 Section: mail
-Priority: extra
-Maintainer: Paul Martin <pm@debian.org>
-Build-Depends: quilt, debhelper (>= 9), autotools-dev, libmilter-dev, bison, flex, libspf2-dev, libcurl4-openssl-dev, libopendkim-dev, libssl-dev, libgeoip-dev
-Standards-Version: 3.9.5
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 12), libmilter-dev, bison, flex, libspf2-dev, libcurl4-openssl-dev, libopendkim-dev, libssl-dev, libgeoip-dev, libbind-dev
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/debian/milter-greylist.git
+Vcs-Browser: https://salsa.debian.org/debian/milter-greylist
 
 Package: milter-greylist
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.11)
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.11), lsb-base, init-system-helpers (>= 1.51)
 Recommends: sendmail | postfix
 Homepage: http://hcpnet.free.fr/milter-greylist/
 Description: Greylist milter for sendmail
@@ -24,4 +27,3 @@
  solved). Odds are good that the spammer will send a mail to an honey pot
  address and get blacklisted in several real-time distributed black list
  before the second attempt.
-

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://ftp.espci.fr/pub/milter-greylist/milter-greylist-([\d\.]+).tgz

## milter-greylist 4.6.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.169 2016/11/24 04:14:01 manu Exp $
+# $Id: Makefile.in,v 1.75 2013/09/02 03:54:35 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus
@@ -29,7 +29,7 @@
 # OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
-CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -DHAVE_DATA_CALLBACK -DCONFFILE=\"${CONFFILE}\" -DDUMPFILE=\"${DUMPFILE}\" -D_BSD_SOURCE -I. -I${SRCDIR} 
+CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -DHAVE_DATA_CALLBACK -DCONFFILE=\"${CONFFILE}\" -DDUMPFILE=\"${DUMPFILE}\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I${SRCDIR} 
 LDFLAGS=	 -L/usr/pkg/lib -Wl,--rpath=/usr/pkg/lib
 LIBS= 		 -lpthread -lresolv -lmilter
 prefix=		/usr/local
@@ -63,13 +63,13 @@
 OBJ= 		milter-greylist.o pending.o sync.o dnsrbl.o list.o macro.o \
 		conf.o store.o dump.o spf.o acl.o urlcheck.o stat.o clock.o \
 		geoip.o fd_pool.o prop.o ldapcheck.o dkimcheck.o p0f.o \
-		spamd.o mx.o ratelimit.o nsupdate.o brokenmfapi.o
+		spamd.o mx.o ratelimit.o nsupdate.o brokenmfapi.o geoip2.o
 OBJ_SEQ=	conf_yacc.o dump_yacc.o
 OBJ_SEQ_FLAG=	.objseq-built
 SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c stat.c \
 		clock.c store.c dump.c spf.c acl.c dnsrbl.c list.c \
 		urlcheck.c geoip.c prop.c ldapcheck.c dkimcheck.c p0f.c \
-		spamd.c mx.c ratelimit.c nsupdate.c brokenmfapi.c
+		spamd.c mx.c ratelimit.c nsupdate.c brokenmfapi.c geoip2.c
 GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c
 
 VPATH=		${SRCDIR}

=== debian/changelog ===
milter-greylist (4.6.4-5) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15
    in Milter headers. (Closes: #1097398)

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Oct 2025 14:33:04 +0300

milter-greylist (4.6.4-4) unstable; urgency=medium

  * QA upload.
  * Pre-Depend on adduser so it is available to the preinst maintscript
  * Remove version constraints satisfied in stable

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 May 2025 11:18:44 +0200

milter-greylist (4.6.4-3) unstable; urgency=medium

  * QA upload.
  * Set user greylist in the configuration file rather than as a
    command-line option in the service file (which always takes
    precedence) to allow easier customization. (Closes: #1002527)
    - debian/milter-greylist.service
    - debian/patches/greylist.conf

 -- Amin Bandali <bandali@gnu.org>  Tue, 24 Oct 2023 19:49:53 -0400

milter-greylist (4.6.4-2) unstable; urgency=medium

  [ Ondřej Surý ]
  * QA upload.
  * Disable libbind-dev and libgeoip-dev Build-Depends (Closes: #942501)

  [ Tobias Frost ]
  * Don't do a NMU on a QA upload.
  * Touch upload date.
  * Remove Depends: on obsolete lsb-base package, see it's README.Debian for
    details. This fixes lintian error depends-on-obsolete-package.
  * Thanks to Amin Bandali for triaging #942501.
  * Drop ancient d/NEWS file. 

 -- Tobias Frost <tobi@debian.org>  Sat, 14 Oct 2023 12:02:04 +0200

milter-greylist (4.6.4-1) unstable; urgency=medium

  * QA upload.
  * Add salsa ci.
  * New upstream version 4.6.4
    - Refresh patches.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 30 Aug 2021 20:27:26 +0100

milter-greylist (4.6.2-3) unstable; urgency=medium

  * QA upload.
  * Start the application as daemon with user greylist. (Closes: #979965)
  * Create the tmp file as user greylist.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 13 Jan 2021 13:19:29 +0000

milter-greylist (4.6.2-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Set Homepage field in Source rather than Binary package.
  * Update standards version to 4.5.0, no changes needed.

  [ Vagrant Cascadian ]
  * debian/patches: Adjust configure.ac to avoid embedding hostname,
    username, build time and build path in the binaries. (Closes: #978751)
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update to debhelper-compat 13.
  * debian/control: Update Standards-Version to 4.5.1.

  [ Christian Dröge ]
  * systemd support for milter-greylist (Closes: #739465)

  [ Vagrant Cascadian ]
  * debian/patches: initfile.nosudo: Fix typo in patch to use "su" instead
    of "sudo". (Closes: #784408)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 31 Dec 2020 12:42:59 -0800

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: mail
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12), libmilter-dev, bison, flex, libspf2-dev, libcurl4-openssl-dev, libopendkim-dev, libssl-dev, libgeoip-dev, libbind-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), libmilter-dev, bison, flex, libspf2-dev, libcurl4-openssl-dev, libopendkim-dev, libssl-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/milter-greylist.git
 Vcs-Browser: https://salsa.debian.org/debian/milter-greylist
+Homepage: http://hcpnet.free.fr/milter-greylist/
 
 Package: milter-greylist
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.11), lsb-base, init-system-helpers (>= 1.51)
+Pre-Depends: ${misc:Pre-Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: sendmail | postfix
-Homepage: http://hcpnet.free.fr/milter-greylist/
 Description: Greylist milter for sendmail
  milter-greylist is a stand-alone milter written in C that implements the
  greylist filtering method, as proposed by Evan Harris.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
+
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -12,12 +15,11 @@
 	--with-libcurl=/usr \
 	--with-libmilter=/usr \
 	--with-libopendkim=/usr \
-	--with-libGeoIP=/usr \
 	--enable-dnsrbl \
 	--disable-rpath \
 	LDFLAGS=" -Wl,-z,defs -L/usr/lib/libmilter $(LDFLAGS) " \
 	CFLAGS=" -fno-strict-aliasing $(CFLAGS) "
-	
+
 override_dh_auto_install:
 	cp rc-debian.sh debian/milter-greylist.init
 	DESTDIR=$(CURDIR)/debian/milter-greylist make install-sbin install-man
@@ -32,3 +34,6 @@
 
 	# Sometimes autoconf doesn't clean up after itself
 	rm -f config.log
+
+override_dh_installinit:
+	dh_installinit --no-enable --no-start

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://ftp.espci.fr/pub/milter-greylist/milter-greylist-([\d\.]+).tgz
